Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1694614 - Start and stop events for VM are confusing
Summary: Start and stop events for VM are confusing
Keywords:
Status: VERIFIED
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Virtualization
Version: 1.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.0
Assignee: Alexey Gladkov
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-01 09:09 UTC by Guohua Ouyang
Modified: 2019-04-16 12:53 UTC (History)
6 users (show)

Fixed In Version: kubevirt-0.16.0-g8f9e35f38.6.g8858768.8f9e35f.el8 virt-operator-container-v2.0.0-16 virt-controller-container-v2.0.0-16 virt-handler-container-v2.0.0-16 virt-launcher-container-v2.0.0-16 virt-api-container-v2.0.0-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
vm events (deleted)
2019-04-01 09:09 UTC, Guohua Ouyang
no flags Details

Description Guohua Ouyang 2019-04-01 09:09:42 UTC
Created attachment 1550409 [details]
vm events

Description of problem:
The events of VM creation/deletion is not according to the creation/deletion of a VM, it's according to start/stop a VM. It's confusing to me that If I create a VM on UI, and then go to events page, choose VirtualMachine type, I cannot see any events, but If I start the VM, I can see a event like "Created virtual machine: example". This is not correct, start a VM is creating a virtualmachine instance. Same for delete the VM, after delete the VM, no events generated for VM in events page, but stop a VM could see "Deleted virtual machine: feb187b4-545a-11e9-9e6e-fa163ecbb3d0" in events within VirtualMachine type.

Version-Release number of selected component (if applicable):
v0.13.3

How reproducible:


Steps to Reproduce:
1. create a vm, no events for VM
2. start a vm, event like "Created virtual machine: example"
3. stop a vm, event like "Deleted virtual machine: feb187b4-545a-11e9-9e6e-fa163ecbb3d0"
4. delete a vm, no events for VM

Actual results:


Expected results:


Additional info:

Comment 1 Fabian Deutsch 2019-04-01 09:49:50 UTC
For this scenarion we probably want to adjust the message the vm controller is emitting. As the current message "Created virtual machine: example" is wrong, if, then it should be: "created virtual machine instance: example"

What about letting the vm controller emit:

"Started the virtual machine by creating the new virtual machine instance 'example'"

and

"Stopped the virtual machine by deleting the virtual machine instance 'example'"

Setting the priority to high, as it's visible in the UI.

Comment 2 Guohua Ouyang 2019-04-01 12:57:49 UTC
It looks we're going to sovle it by improving the start/stop message. I have one more concern is should it also have event for create/delete a vm?

Comment 3 Fabian Deutsch 2019-04-01 12:59:45 UTC
Create/delete for a VM (VirtualMachine) is just like fro any other object. I'd not add explicit messages for this.

Comment 4 Alexey Gladkov 2019-04-03 09:17:38 UTC
https://github.com/kubevirt/kubevirt/pull/2168

Comment 5 Israel Pinto 2019-04-16 12:53:42 UTC
Verify with:
BM (libvirt) OCP4 and the below image hash tag turns out to be virt-launcher:v2.0.0-18 image


$ oc describe pod virt-launcher-vmi-fedora29-efi-jbpsr | grep -A 3 "compute:"
  compute:
    Container ID:  cri-o://4d7fce6ef884338a282fb9983a03e1ea36719ec5cb64f4bcd058cbafd80ded2e
    Image:         brew.redhat.com:8888/container-native-virtualization/virt-launcher:v2.0.0
    Image ID:      brew.redhat.com:8888/container-native-virtualization/virt-launcher@sha256:7de129dd4cfe7725527b021d9cb820a0fdd275cb484f1ae7d7b4515609d04f1d

$ virtctl version
Client Version: version.Info{GitVersion:"v0.16.0-g8f9e35f38", GitCommit:"8f9e35f387ff1e73966944555d29e13dc913cace", GitTreeState:"clean", BuildDate:"2019-04-08T21:13:28Z", GoVersion:"go1.11.5", Compiler:"gc", Platform:"linux/amd64"}
Server Version: version.Info{GitVersion:"v0.16.0-g2427364a5", GitCommit:"$Format:%H$", GitTreeState:"", BuildDate:"2019-04-12T12:31:01Z", GoVersion:"go1.10.3", Compiler:"gc", Platform:"linux/amd64"}


Start VMs from events:
13m         Normal    SuccessfulCreate   virtualmachine/vm-cirros            Started the virtual machine by creating the new virtual machine instance vm-cirros
13m         Normal    SuccessfulCreate   virtualmachineinstance/vm-cirros    Created virtual machine pod virt-launcher-vm-cirros-x2jj8

Stop VM from events:
2s          Normal    SuccessfulDelete   virtualmachine/vm-cirros            Stopped the virtual machine by deleting the virtual machine instance c75b0e2c-6043-11e9-b3a3-664f163f5f0f
2s          Normal    SuccessfulDelete   virtualmachineinstance/vm-cirros    Deleted virtual machine pod virt-launcher-vm-cirros-x2jj8


Note You need to log in before you can comment on or make changes to this bug.